### Function

# Adw SpringParamsnew

#### Declaration [src]

    AdwSpringParams*
    adw_spring_params_new (
      double damping_ratio,
      double mass,
      double stiffness
    )

#### Description [src]

Creates a new `AdwSpringParams` from `mass`, `stiffness` and `damping_ratio`.

The damping value is calculated from `damping_ratio` and the other two parameters.

- If `damping_ratio` is 0, the spring will not be damped and will oscillate endlessly.
- If `damping_ratio` is between 0 and 1, the spring is underdamped and will always overshoot.
- If `damping_ratio` is 1, the spring is critically damped and will reach its resting position the quickest way possible.
- If `damping_ratio` is larger than 1, the spring is overdamped and will reach its resting position faster than it can complete an oscillation.

`adw_spring_params_new_full()` allows to pass a raw damping value instead.

#### Parameters

`damping_ratio`

  Type: `double`

  The damping ratio of the spring.

`mass`

  Type: `double`

  The mass of the spring.

`stiffness`

  Type: `double`

  The stiffness of the spring.

#### Return value

Type: `AdwSpringParams`

The newly created spring parameters.

The caller of the function takes ownership of the data, and is responsible for freeing it.